Bug 496226 - [enh] Creating wireless ad-hoc networks should prompt for root password
[enh] Creating wireless ad-hoc networks should prompt for root password
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 08:36 EDT by Amit Shah
Modified: 2011-05-18 10:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:56:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2009-04-17 08:36:15 EDT
Description of problem:

It's very easy to create ad-hoc networks by unprivileged users. This can be a security issue if someone unwittingly enables an ad-hoc network and enters into a secured zone.

Admins should be able to control the actions a user might take
Comment 1 Niels Haase 2009-04-17 10:17:45 EDT
Changing title to reflect the enhancement request.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Amit Shah 2009-04-17 13:50:09 EDT
I think it's a security issue so it shouldn't be treated as an enhancement. A home user could easily enable this without knowing what's happening and thereby allowing anyone access to her network.
Comment 3 Dan Williams 2009-04-17 17:35:35 EDT
While it may be a security issue, it's still essentially an enhancement but with a higher priority.  It's not a bug per-se in existing code, but a change in defaults and additional functionality to allow wifi sharing to be locked down by an administrator.
Comment 4 Sankarshan Mukhopadhyay 2009-04-18 05:52:29 EDT
To begin with, allowing a pop-up notification that is displayed (prompting about a possible security risk and suggesting turning off ad-hoc network) when an user connects to a wired/wireless network with ad-hoc networking enabled might work.

Root password prompt or, admin access might defeat the purpose of 'ad-hoc' networks which is to allow creation of temporary network zones easily and quickly.
Comment 5 Siddhesh Poyarekar 2009-04-20 00:52:59 EDT
Additionally, the nm-applet icon could be changed when the ad-hoc network is active to counter for the case when someone else starts an ad-hoc network when the user is not around. That way when the user comes back he knows that something is wrong and can act immediately. This will also remind him to shut off the network when he is done.

The priority is set to low. Shouldn't it get high priority as per Comment #4?
Comment 7 Huzaifa S. Sidhpurwala 2009-05-25 00:26:23 EDT
This appears to be  dupe of BZ 496247 or atleast something similar
Comment 8 Dan Williams 2009-10-16 18:35:13 EDT
0.8 in rawhide/F12 has a real permissions framework for this; we need to do the UI level stuff again.
Comment 9 Bug Zapper 2009-11-16 04:55:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-11-04 07:20:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 01:56:32 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.